MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002026VCMIGUI - Adventure Mappublic2015-01-04 12:392016-11-11 08:22
ReporterWarmonger 
Assigned ToWarmonger 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.97 
Target VersionFixed in Version0.97c 
Summary0002026: WoG objects are always rendered above other objects
DescriptionCheck screenshot. It does not depend on order the objects were placed. In case of Citadels, this completely covers object guard.
Steps To ReproduceGenerate random map with WoG mod enabled
TagsNo tags attached.
Attached Filespng file icon WoG objects.png [^] (156,048 bytes) 2015-01-04 12:39


png file icon WoG objects2.png [^] (175,172 bytes) 2015-01-04 12:39

- Relationships

-  Notes
(0005398)
Fay (developer)
2015-01-25 14:27

Note that it's not limited to WoG objects -- for example it also happens with monsters on the left side of dragon utopia.
(0005626)
Warmonger (administrator)
2015-03-12 09:10

Okay, figured it out. Objects loaded from .json had uninitialized zIndex value. Fixed in https://github.com/vcmi/vcmi/commit/a832b7efeea33fbcb9542db2ce8dcc59cec1e51d [^]

- Issue History
Date Modified Username Field Change
2015-01-04 12:39 Warmonger New Issue
2015-01-04 12:39 Warmonger File Added: WoG objects.png
2015-01-04 12:39 Warmonger File Added: WoG objects2.png
2015-01-25 14:27 Fay Note Added: 0005398
2015-03-12 09:10 Warmonger Note Added: 0005626
2015-03-12 09:10 Warmonger Status new => resolved
2015-03-12 09:10 Warmonger Fixed in Version => 0.97c
2015-03-12 09:10 Warmonger Resolution open => fixed
2015-03-12 09:10 Warmonger Assigned To => Warmonger
2016-11-11 08:22 SXX Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean